package cn.iocoder.yudao.module.energy.service.price;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.price.vo.EnergyStationPricePageReqVO;
import cn.iocoder.yudao.module.energy.controller.admin.price.vo.EnergyStationPriceSaveReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.price.EnergyStationPriceDO;
import java.time.LocalDate;

public interface EnergyStationPriceService {
    Long createPrice(EnergyStationPriceSaveReqVO createReqVO);
    void updatePrice(EnergyStationPriceSaveReqVO updateReqVO);
    void deletePrice(Long id);
    EnergyStationPriceDO getPrice(Long id);
    PageResult<EnergyStationPriceDO> getPricePage(EnergyStationPricePageReqVO pageReqVO);
    EnergyStationPriceDO getEffectivePrice(Long stationId, Long customerId, LocalDate date);
}
